Name: lbxproxy
Version: 1.0.3
Release: %mkrel 5
Summary: Low Bandwidth X proxy
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT

BuildRequires: libice-devel >= 1.0.0
BuildRequires: liblbxutil-devel >= 1.0.0
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0

%description
Applications that would like to take advantage of the Low Bandwidth
extension to X (LBX) must make their connections to an lbxproxy. These
applications need to know nothing about LBX, they simply connect to the
lbxproxy as if were a regular server. The lbxproxy accepts client connections,
multiplexes them over a single connection to the X server, and performs various
optimizations on the X protocol to make it faster over low bandwidth and/or
high latency connections.
Note that current X servers don't support the LBX extension, so this package is
only useful to connect to old X servers.

%prep
%setup -q

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

%files
%{_bindir}/lbxproxy
%{_sysconfdir}/X11/lbxproxy/AtomControl
%{_mandir}/man1/lbxproxy.1*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-5.mga6
+ Revision: 945066
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 748922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 681279
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-2.mga4
+ Revision: 529199
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.0.3-1.mga4
+ Revision: 450923
- 1.0.3

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 356688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 ennael <ennael> 1.0.2-2.mga1
+ Revision: 33363
- imported package lbxproxy


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2011.0
+ Revision: 606396
- rebuild

* Tue Jan 12 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 490181
- New version: 1.0.2
  Improved package description

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.1-8mdv2010.0
+ Revision: 425502
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-7mdv2009.1
+ Revision: 351348
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 222357
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-5mdv2008.1
+ Revision: 150440
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 16 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 52688
- don't specify man page extension
- rebuild for 2008


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 16 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-16 23:31:58 (27464)
- fix description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

